PAB3-DB-Driver-Mysql

Metadata

Analyzed metadata and errors of PAB3-DB-Driver-Mysql.

{
   "abstracts" : {
      "PAB3::DB::Driver::Mysql" : "Perl5 wrapper to the mysql5+ client libary and driver\nfor the PAB3::DB class"
   },
   "author" : "CHRMUE",
   "buildfile_executable" : 0,
   "dir_t" : "t",
   "dirs_array" : [
      "t"
   ],
   "dist" : "PAB3-DB-Driver-Mysql",
   "dynamic_config" : 0,
   "easily_repackageable_by_fedora" : "fits_fedora_license",
   "error" : {
      "metayml_conforms_to_known_spec" : "Expected a list structure (author) [Validation: 1.3];Expected a map structure from string or file. (requires) [Validation: 1.3];License '<undef>' is invalid (license) [Validation: 1.3];Missing mandatory field, 'author' (author) [Validation: 1.3];Missing mandatory field, 'license' (license) [Validation: 1.3]"
   },
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "Mysql.pm",
      "README",
      "Mysql.xs",
      "install_files.PL",
      "Changes",
      "my_mysql.h",
      "Makefile.PL",
      "my_mysql.c",
      "META.yml",
      "MANIFEST",
      "t/00_mysql_basic.t"
   ],
   "files_hash" : {
      "Changes" : {
         "mtime" : 1255739865,
         "size" : 566
      },
      "MANIFEST" : {
         "mtime" : 1255741054,
         "size" : 191
      },
      "META.yml" : {
         "mtime" : 1255741054,
         "size" : 405
      },
      "Makefile.PL" : {
         "mtime" : 1255740539,
         "required" : [
            "Win32::TieRegistry"
         ],
         "size" : 8161,
         "used" : [
            "5.008",
            "Config",
            "ExtUtils::MakeMaker"
         ]
      },
      "Mysql.pm" : {
         "license" : "GPL_1,GPL_2,GPL_3",
         "module" : "PAB3::DB::Driver::Mysql",
         "mtime" : 1255739881,
         "noed" : [
            "strict",
            "warnings"
         ],
         "required" : [
            "Apache",
            "Apache2::Module",
            "Apache2::ServerUtil",
            "XSLoader",
            "mod_perl2"
         ],
         "size" : 29223,
         "used" : [
            "constant",
            "strict",
            "vars",
            "warnings"
         ]
      },
      "Mysql.xs" : {
         "mtime" : 1255740140,
         "size" : 42609
      },
      "README" : {
         "mtime" : 1214143287,
         "size" : 652
      },
      "install_files.PL" : {
         "mtime" : 1214143287,
         "size" : 713
      },
      "my_mysql.c" : {
         "mtime" : 1255740159,
         "size" : 13828
      },
      "my_mysql.h" : {
         "mtime" : 1255740153,
         "size" : 4014
      },
      "t/00_mysql_basic.t" : {
         "mtime" : 1214143287,
         "required" : [
            "PAB3::DB::Driver::Mysql"
         ],
         "size" : 294
      }
   },
   "got_prereq_from" : "Makefile.PL",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "easily_repackageable_by_debian" : 1,
      "easily_repackageable_by_fedora" : 0,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "fits_fedora_license" : 0,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "92.68",
      "manifest_matches_dist" : 1,
      "metayml_conforms_to_known_spec" : 0,
      "metayml_declares_perl_version" : 0,
      "metayml_has_license" : 0,
      "metayml_has_provides" : 0,
      "metayml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1255741054,
   "license" : "defined in POD (Mysql.pm)",
   "license_in_pod" : 1,
   "licenses" : {
      "GPL_1" : [
         "Mysql.pm"
      ],
      "GPL_2" : [
         "Mysql.pm"
      ],
      "GPL_3" : [
         "Mysql.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_yml" : {
      "abstract" : "A Perl5 wrapper for MySQL and a driver for the PAB3::DB class",
      "author" : null,
      "distribution_type" : "module",
      "generated_by" : "ExtUtils::MakeMaker version 6.42",
      "license" : null,
      "meta-spec" : {
         "url" : "http://module-build.sourceforge.net/META-spec-v1.3.html",
         "version" : "1.3"
      },
      "name" : "PAB3-DB-Driver-Mysql",
      "requires" : null,
      "version" : "1.07"
   },
   "metayml_is_parsable" : 1,
   "modules" : [
      {
         "file" : "Mysql.pm",
         "in_basedir" : 1,
         "in_lib" : 0,
         "module" : "PAB3::DB::Driver::Mysql"
      }
   ],
   "needs_compiler" : 1,
   "no_pax_headers" : 1,
   "package" : "PAB3-DB-Driver-Mysql-1.07.tar.gz",
   "prereq" : [],
   "released_epoch" : 1255741182,
   "size_packed" : 21796,
   "size_unpacked" : 100656,
   "uses" : {
      "noed_in_code" : {
         "strict" : 1,
         "warnings" : 1
      },
      "required_in_code" : {
         "Apache" : 1,
         "Apache2::Module" : 1,
         "Apache2::ServerUtil" : 1,
         "XSLoader" : 1,
         "mod_perl2" : 1
      },
      "required_in_config" : {
         "Win32::TieRegistry" : 1
      },
      "used_in_code" : {
         "constant" : 1,
         "strict" : 1,
         "vars" : 1,
         "warnings" : 1
      },
      "used_in_config" : {
         "5.008" : 1,
         "Config" : 1,
         "ExtUtils::MakeMaker" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "1.07",
   "versions" : {
      "Mysql.pm" : {
         "PAB3::DB::Driver::Mysql" : "1.07"
      }
   },
   "vname" : "PAB3-DB-Driver-Mysql-1.07"
}